Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.util
Class Log

    java.lang.Object
      com.skype.util.Log

    public class Log

extends java.lang.Object

Nested Class Summary
`static class` | `Log.Severity` enable debug output by setting this property to true

Field Summary
`static Log.Severity` | `level`

Constructor Summary
`Log()`

Method Summary
`static void` | `cycleDebugLevel()`
`static int` | `d(java.lang.String tag, java.lang.String msg)`
`static java.lang.String` | `debugLevel()`
`static int` | `e(java.lang.String tag, java.lang.String msg)`
`static int` | `e(java.lang.String tag, java.lang.String msg, java.lang.Throwable e)`
`static void` | `hexdump(byte[] buff)` Write hex dump of a byte array, 16 bytes per line, with printable characters displayed in a text block on the right
`static void` | `hexdump(byte[] buff, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### level

    public static Log.Severity level

Constructor Detail

### Log

    public Log()

Method Detail

### cycleDebugLevel

    public static void cycleDebugLevel()

### debugLevel

    public static java.lang.String debugLevel()

### d

    public static int d(java.lang.String tag,
                        java.lang.String msg)

### e

    public static int e(java.lang.String tag,
                        java.lang.String msg)

### e

    public static int e(java.lang.String tag,
                        java.lang.String msg,
                        java.lang.Throwable e)

### hexdump

    public static void hexdump(byte[] buff)

  Write hex dump of a byte array, 16 bytes per line, with printable characters displayed in a text block on the right

  Parameters:
    `buff` - - array of bytes to dump

### hexdump

    public static void hexdump(byte[] buff,
                               int len)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.